Subject: Re: bug#13544: (web http) fails to parse numeric timezones in Date header

From: Andy Wingo <[email-masked]>
Date: Sun, 10 Mar 2013 19:31:56 +0100

On Sun 10 Mar 2013 00:50, Daniel Hartwig <[email-masked]> writes:

> On 9 March 2013 16:21, Andy Wingo <[email-masked]> wrote:
>> On Sat 09 Mar 2013 02:41, Daniel Hartwig <[email-masked]> writes:
>>
>>> Interpretting ‘+0000’ timezone is sensible in a robust implementation,
>>
>> Yes, I agree, this makes sense.
>>
>>> though what to do if a numeric timezone is given other than this?
>>
>> I would continue to raise an error I think.  Timezones get complicated,
>> fast, and there is little hope that we could preserve correctness.
>> WDYT?
>
> Ok.  What about Ludo's original comment, about the extra space in the
> sqlite header?

Dunno.  Is it common?  In this particular case I would mail and try to
get them to fix their server, given that it is run by hackers.  Let us
leave that particular issue for another bug.

Andy
-- 
http://wingolog.org/